Package org.spongepowered.asm.launch.platform

## Class MixinPlatformManager

- java.lang.Object
- - org.spongepowered.asm.launch.platform.MixinPlatformManager

-     public class MixinPlatformManager
      extends java.lang.Object

  Handler for platform-specific behaviour required in different mixin environments.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MixinPlatformManager()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MixinContainer` | `addContainer​(IContainerHandle handle)` | Add a new container to this platform and return the new container (or an existing container if the handle was previously registered)
    `java.lang.String` | `getLaunchTarget()` | Queries all containers for launch target, returns null if no containers specify a launch target
    `java.util.Collection<java.lang.String>` | `getPhaseProviderClasses()` | Get the phase provider classes from the primary container
    `void` | `init()` | Initialise the platform manager
    `void` | `inject()` | Initialise the primary container and dispatch inject to all containers
    `void` | `prepare​(CommandLineOptions args)` | Prepare all containers in this platform

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MixinPlatformManager

          public MixinPlatformManager()

  - ### Method Detail

    - #### init

          public void init()

      Initialise the platform manager

    - #### getPhaseProviderClasses

          public java.util.Collection<java.lang.String> getPhaseProviderClasses()

      Get the phase provider classes from the primary container

    - #### addContainer

          public final MixinContainer addContainer​(IContainerHandle handle)

      Add a new container to this platform and return the new container (or an existing container if the handle was previously registered)
      Parameters:
        `handle` - Container handle to add
      Returns:
        container for specified resource handle

    - #### prepare

          public final void prepare​(CommandLineOptions args)

      Prepare all containers in this platform
      Parameters:
        `args` - command-line arguments from tweaker

    - #### inject

          public final void inject()

      Initialise the primary container and dispatch inject to all containers

    - #### getLaunchTarget

          public java.lang.String getLaunchTarget()

      Queries all containers for launch target, returns null if no containers specify a launch target